/*************************************************************************************************************
* This file contains client configuration using defines
* 2012/10 by Dlxko
* Version 4.0
**************************************************************************************************************/

// Server defines
#define port 12345
#define queue 10
#define ip_addres "127.0.0.1"

// Configurables
#define BUF_SIZE 1024
#define LENGHT_SIZE 5
#define TIME_SIZE 26
#define	OPCODE_SIZE 3
#define	MSG_NUMB_SIZE 3
#define DATA_ONE_SIZE 10
#define	CODE_SIZE 3
#define	MAX_BUDDIES  30
#define	MAX_MESSAGES 30
#define	MAX_REQUESTS 10

// File transfer defines
#define FILE_NAME_SIZE 512
#define FILE_PATH_SIZE 1024

// Socket Types
#define DX_OPCODE_MSG "MSG"
#define DX_OPCODE_REG "REG"
#define DX_OPCODE_AUC "AUC"
#define DX_OPCODE_DIS "DIS"
#define DX_OPCODE_ONL "ONL"
#define DX_OPCODE_IMS "IMS"
#define DX_OPCODE_BDL "BDL"
#define DX_OPCODE_OFL "OFL"
#define DX_OPCODE_LOF "LOF"
#define DX_OPCODE_SNT "SNT"
#define DX_OPCODE_FLT "FLT"
#define DX_OPCODE_NFR "NFR"
#define DX_OPCODE_NAR "NAR"
#define DX_OPCODE_DEV "DEV"
#define DX_OPCODE_INF "INF"
#define DX_OPCODE_HIS "HIS"

// BDL Codes
#define DX_CODE_ONL "ONL"
#define DX_CODE_OFF "OFF"

// Buffer sizes
#define SMILE_LIMIT_CYCLE 1000
#define DIALOG_BUFFER_SIZE 400
#define AVATAR_SIZE 100
#define HISTORY_BUFFER_SIZE 4096
#define CHAT_MAX_MESSAGE_SIZE 100
#define REQUESTS_ID_CHAR_SIZE 100
#define AVATAR_IMAGE_SIZE 25
#define SHA_PASS_SIZE 128