-- phpMyAdmin SQL Dump
-- version 3.5.2
-- http://www.phpmyadmin.net
--
-- Host: localhost
-- Generation Time: Oct 01, 2012 at 04:44 PM
-- Server version: 5.5.25a
-- PHP Version: 5.4.4

SET SQL_MODE="NO_AUTO_VALUE_ON_ZERO";
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;

--
-- Database: `dxsocks`
--

CREATE DATABASE `dxsocks` DEFAULT CHARACTER SET latin1 COLLATE latin1_swedish_ci;
USE `dxsocks`;

-- --------------------------------------------------------

--
-- Table structure for table `accounts`
--

CREATE TABLE IF NOT EXISTS `accounts` (
  `name` text NOT NULL COMMENT 'Name of the client',
  `surname` text NOT NULL COMMENT 'Surname of the client',
  `nickname` text NOT NULL COMMENT 'Nickname of the client',
  `password` text NOT NULL COMMENT 'Password of the client',
  `city` text NOT NULL COMMENT 'City of the client',
  `country` text NOT NULL COMMENT 'Country of the client',
  `age` text NOT NULL COMMENT 'Age of the client',
  `gender` text NOT NULL COMMENT 'Gender of the client',
  `gravatar` text NOT NULL COMMENT 'Gravatar image link',
  UNIQUE KEY `nickname_index` (`nickname`(9))
) ENGINE=InnoDB DEFAULT CHARSET=latin1;


--
-- Table structure for table `buddylist`
--

CREATE TABLE IF NOT EXISTS `buddylist` (
  `client_name` text NOT NULL COMMENT 'Client one name',
  `friend_name` text NOT NULL COMMENT 'Client two name'
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Table structure for table `events`
--

CREATE TABLE IF NOT EXISTS `events` (
  `id` int(100) NOT NULL AUTO_INCREMENT COMMENT 'Just id counter',
  `client_name` text NOT NULL COMMENT 'Client name',
  `req_client` text NOT NULL COMMENT 'Requesting client name',
  `opcode` text NOT NULL COMMENT 'Opcode signal',
  KEY `id` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Table structure for table `messages`
--

CREATE TABLE IF NOT EXISTS `messages` (
  `id` int(10) NOT NULL AUTO_INCREMENT COMMENT 'id of message',
  `member_one` text NOT NULL COMMENT 'Name of member one',
  `member_two` text NOT NULL COMMENT 'Name of member two',
  `message` text NOT NULL COMMENT 'Text of the message',
  `time_stamp` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT 'Message time stamp',
  `member_one_received` int(10) NOT NULL COMMENT 'Bool if received for first',
  `member_two_received` int(10) NOT NULL COMMENT 'Bool if received for second',
  PRIMARY KEY (`id`),
  KEY `id` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COMMENT='Stores messages history' AUTO_INCREMENT=1 ;

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
